<?php
/**
 * ShellExec.php -- Safemode-compatible function for shellcommand execution
 * Copyright 2008, Anders Hggstrm <hagge@intercorner.net>.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 *
 *  
 * Run given command in shell and return the output, or false on error.
 * Compatible with Safemode if Safemode is proprely configured.
 *
 * @param string $command
 * @return string
 */
function mw_exec($command) {
	if (!is_string($command)) {
		return false;
	}
	exec($command, $stdout, $returnstatus);
	if ($returnstatus != 0) {
		return false;
	}
	return implode("\n", $stdout);
}
?>
